<!--#include file="db_connect.asp"-->
<%
'The following code allows the retrieval of parameters for both POST and GET methods, allowing this
'page to work for forms that use either of the two methods.
'The "RequestCollection"  will hold either the Request.QueryString or the Request.Form data
    if StrComp("POST", Request.ServerVariables("REQUEST_METHOD"), vbTextCompare) = 0 then
      Set RequestCollection = Request.Form
    else
      Set RequestCollection = Request.QueryString
    End if
    'if Len(Request.QueryString("EmailAddress")) > 0 then Session.Abandon
    if Len(Request.QueryString("EmailAddress")) > 0 then Session("EmailTo")=""

	If Len(Session("EmailTo")) < 1 Then
		EmailTo = SanitizeInput(RequestCollection("EmailAddress"))

		If Len(EmailTo) < 3 Then
			Call DisplayLoginForm
			Response.End
		Else
			'Generate query.
			SQL = "SELECT Password "
			SQL = SQL & "FROM tblLogins "
			SQL = SQL & "WHERE EMail = '" & EmailTo & "'"
			Set rs = con.Execute(SQL)
			Failure = False

			If rs.EOF Then
				Failure = True
			ElseIf IsNull(rs("Password")) Then
				Failure = True
			ElseIf Len(rs("Password")) < 1 Then
				Failure = True
			ElseIf rs("Password") <> RequestCollection("Password") Then
				Failure = True
			End If

			If Failure Then
				Call DisplayFailedLogin
				Response.End
			Else
				Session("EmailTo") = EmailTo
			End If

		End If

	End If
%>



<%Sub DisplayLoginForm%>
<html>
<head>
	<title>Spam Filter - Login</title>
</head>
<body>
	<form method="post" name="Login">
	<table align="center" border="1" cellpadding="1" cellspacing="1">
		<tr><td align="center" colspan="2"><h2>Please Login</h2></td></tr>
		<tr>
			<td align="right">Email Address:</td>
			<td><input type="text" size="15" name="EmailAddress"></td>
		</tr>
		<tr>
			<td align="right">Password:</td>
			<td><input type="password" size="15" name="Password"></td>
		</tr>
		<tr>
			<td align="center" colspan="2">
				<input type="submit" value="Login">&nbsp;&nbsp;
				<input type="reset" value="Clear">
			</td>
		</tr>
		<tr><td align="center" colspan="2"><a href="Register.asp">Register</a> -
          <a href="register.asp?Forgot=1">Forgot my password</a></td></tr>
	</table>
	</form>
</body>
</html>
<%End Sub%>


<%Sub DisplayFailedLogin%>
<html>
<head>
	<title>Spam Filter - Login Failed</title>
</head>
<body>
	<h2 align="center">The password you entered was incorrect!</h2>
	<p align="center"><a href="ListSpam.asp">Try Again</a></p>
</body>
</html>
<%End Sub%>

<%'   Sanitation Function to fix user input
Function SanitizeInput(strIn)
	Dim strOut
	if IsNULL(strIn) then strIn = ""
	strOut = strIn
	if strIn <> "" then
		Dim regEx
		Set regEx = New RegExp

'The global property tells the RegExp engine to find ALL matching
'substrings, instead of just the first instance. We need this to be true.
		regEx.Global = true

'Our pattern tells us what to find in the string? In this case, we find
'anything that isn't a numerical character, or a lowercase or
'uppercase alphabetic character
		regEx.Pattern = "[^@:\.\*\-\+\s\(\)_0-9a-zA-Z]"

'Use the replace function of RegExp to clean the username. The replace
'function takes the string to search (using the Pattern above as the
'search criteria), and the string to replace any found strings with.
'In this case, we want to replace our matches with nothing (''),
'as the matching characters will be the ones we don't want in our username.
		strOut = regEx.Replace(strIn, "")
	End if

	SanitizeInput = strOut
End Function
%>